# CoinUnsignedIntArrayWithLength Class Reference

unsigned int * version More...

`#include <CoinIndexedVector.hpp>`

Inheritance diagram for CoinUnsignedIntArrayWithLength:
[legend]
Collaboration diagram for CoinUnsignedIntArrayWithLength:
[legend]

List of all members.

## Public Member Functions
Get methods.
int | getSize () const
| Get the size.
unsigned int * | array () const
| Get Array.
Set methods
void | setSize (int value)
| Set the size.
Condition methods
unsigned int * | conditionalNew (int sizeWanted)
| Conditionally gets new array.
Constructors and destructors
| CoinUnsignedIntArrayWithLength ()
| Default constructor - NULL.
| CoinUnsignedIntArrayWithLength (int size)
| Alternate Constructor - length in bytes - size_ -1.
| CoinUnsignedIntArrayWithLength (int size, int mode)
| Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.
| CoinUnsignedIntArrayWithLength (const CoinUnsignedIntArrayWithLength &rhs)
| Copy constructor.
| CoinUnsignedIntArrayWithLength (const CoinUnsignedIntArrayWithLength *rhs)
| Copy constructor.2.
CoinUnsignedIntArrayWithLength & | operator= (const CoinUnsignedIntArrayWithLength &rhs)
| Assignment operator.

## Detailed Description

unsigned int * version

Definition at line 887 of file CoinIndexedVector.hpp.

## Constructor & Destructor Documentation

CoinUnsignedIntArrayWithLength::CoinUnsignedIntArrayWithLength | ( |  | ) | `[inline]`

Default constructor - NULL.

Definition at line 917 of file CoinIndexedVector.hpp.

CoinUnsignedIntArrayWithLength::CoinUnsignedIntArrayWithLength | ( | int | size | ) | `[inline]`

Alternate Constructor - length in bytes - size_ -1.

Definition at line 920 of file CoinIndexedVector.hpp.

CoinUnsignedIntArrayWithLength::CoinUnsignedIntArrayWithLength | ( | int | size,
|  | int | mode |
| ) |  |  | `[inline]`

Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.

Definition at line 926 of file CoinIndexedVector.hpp.

CoinUnsignedIntArrayWithLength::CoinUnsignedIntArrayWithLength | ( | const CoinUnsignedIntArrayWithLength & | rhs | ) | `[inline]`

Copy constructor.

Definition at line 929 of file CoinIndexedVector.hpp.

CoinUnsignedIntArrayWithLength::CoinUnsignedIntArrayWithLength | ( | const CoinUnsignedIntArrayWithLength * | rhs | ) | `[inline]`

Copy constructor.2.

Definition at line 932 of file CoinIndexedVector.hpp.

## Member Function Documentation

int CoinUnsignedIntArrayWithLength::getSize | ( |  | ) | const`[inline]`

Get the size.

Reimplemented from CoinArrayWithLength.

Definition at line 893 of file CoinIndexedVector.hpp.

unsigned int* CoinUnsignedIntArrayWithLength::array | ( |  | ) | const`[inline]`

Get Array.

Reimplemented from CoinArrayWithLength.

Definition at line 896 of file CoinIndexedVector.hpp.

void CoinUnsignedIntArrayWithLength::setSize | ( | int | value | ) | `[inline]`

Set the size.

Reimplemented from CoinArrayWithLength.

Definition at line 903 of file CoinIndexedVector.hpp.

unsigned int* CoinUnsignedIntArrayWithLength::conditionalNew | ( | int | sizeWanted | ) | `[inline]`

Conditionally gets new array.

Definition at line 910 of file CoinIndexedVector.hpp.

CoinUnsignedIntArrayWithLength& CoinUnsignedIntArrayWithLength::operator= | ( | const CoinUnsignedIntArrayWithLength & | rhs | ) | `[inline]`

Assignment operator.

Reimplemented from CoinArrayWithLength.

Definition at line 935 of file CoinIndexedVector.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Bcps-0.93.10/CoinUtils/src/CoinIndexedVector.hpp